For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Specification

Below we have listed the resources and their API specification that you should implement as part of the Identity & Event framework.

Identity

Derive an identity

GET https://api.thx.network/v1/identity/:salt

Obtain a deterministic Identity for a given salt. (e.g. a wallet address)

Headers

Name
Type
Description

X-API-KEY*

String

TrybId1+W0hNPyHX563wMmM3TIy5isVkIYXaI8ogwps=

"36d33a59-5398-463a-ac98-0f7d9b201648"

Creates an identity

POST https://api.thx.network/v1/identity

Headers

Name
Type
Description

X-API-KEY*

String

TrybId1+W0hNPyHX563wMmM3TIy5isVkIYXaI8ogwps=

"36d33a59-5398-463a-ac98-0f7d9b201648"

Events

Creates an event for an identity

POST https://api.thx.network/v1/events

Headers

Name
Type
Description

X-API-KEY*

String

TrybId1+W0hNPyHX563wMmM3TIy5isVkIYXaI8ogwps=

Request Body

Name
Type
Description

identityUuid*

String

36d33a59-5398-463a-ac98-0f7d9b201648

event*

String

level_up

Last updated